## ros-one-moveit-core 1.1.16-49jammy.20251023.1231

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(moveit_core)

include(cmake/moveit.cmake)
moveit_build_options()

find_package(Boost REQUIRED system filesystem date_time thread iostreams regex ${EXTRA_BOOST_COMPONENTS})
find_package(Eigen3 REQUIRED)

# TODO: Move collision detection into separate packages
list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
find_package(Bullet 2.87)

# TODO(j-petit): Version check can be dropped when Xenial reaches end-of-life
if(BULLET_FOUND)
  set(BULLET_ENABLE "BULLET")
  set(BULLET_LIB "moveit_collision_detection_bullet")
  set(BULLET_INC "collision_detection_bullet/include")
  message(STATUS "Compiling with Bullet")
else()
  message(STATUS "Version of Bullet too old or not available: disabling Bullet collision detection plugin. Try using Ubuntu 18.04 or later.")
endif()

find_package(fcl QUIET)
if (TARGET fcl)
  moveit_get_include_and_libs_from_target(fcl fcl)
elseif(NOT DEFINED fcl_FOUND OR NOT fcl_FOUND)
  # Ubuntu 18.04 / fcl 0.5.0
  find_package(PkgConfig REQUIRED)
  pkg_check_modules(fcl_PC REQUIRED fcl)
  set(fcl_INCLUDE_DIRS ${fcl_PC_INCLUDE_DIRS})
  # find *absolute* paths for fcl_LIBRARIES
  set(fcl_LIBRARIES)
  foreach(_lib ${fcl_PC_LIBRARIES})
    find_library(_lib_${_lib} ${_lib} HINTS ${fcl_PC_LIBRARY_DIRS})
    list(APPEND fcl_LIBRARIES ${_lib_${_lib}})
  endforeach()
endif()

find_package(octomap REQUIRED)

find_package(ruckig REQUIRED)
# work around catkin_package not fetching the interface includes from the target
# to forward to downstream dependencies. The includes do not need to be added
# in include_directories below because the target is correctly imported here.
get_target_property(ruckig_INCLUDE_DIRS ruckig::ruckig INTERFACE_INCLUDE_DIRECTORIES)
set(ruckig_LIBRARIES "ruckig::ruckig")
# Remove the WITH_CLOUD_CLIENT definition because we don't use it and it causes build issues in some configurations
# See https://github.com/moveit/moveit/pull/3636
get_target_property(ruckig_defs ruckig::ruckig INTERFACE_COMPILE_DEFINITIONS)
if(ruckig_defs)
  list(REMOVE_ITEM ruckig_defs "WITH_CLOUD_CLIENT")
  set_target_properties(ruckig::ruckig PROPERTIES INTERFACE_COMPILE_DEFINITIONS "${ruckig_defs}")
endif()

find_package(urdfdom REQUIRED)
find_package(urdfdom_headers REQUIRED)

find_package(catkin REQUIRED
COMPONENTS
  tf2_eigen
  tf2_geometry_msgs
  eigen_stl_containers
  geometric_shapes
  geometry_msgs
  kdl_parser
  moveit_msgs
  octomap_msgs
  random_numbers
  roslib
  rostime
  rosconsole
  sensor_msgs
  shape_msgs
  srdfdom
  std_msgs
  trajectory_msgs
  urdf
  visualization_msgs
  xmlrpcpp
  pybind11_catkin
  pluginlib
  angles
)

catkin_python_setup()

set(VERSION_FILE_PATH "${CATKIN_DEVEL_PREFIX}/include")
# Pass the folder of the generated version.h to catkin_package() for export in devel-space
# This is how gencpp adds the folder of generated message code to the include dirs, see:
#   https://github.com/ros/gencpp/blob/e5acaf6/cmake/gencpp-extras.cmake.em#L51-L54
list(APPEND ${PROJECT_NAME}_INCLUDE_DIRS ${VERSION_FILE_PATH})
file(MAKE_DIRECTORY "${VERSION_FILE_PATH}/moveit")

set(THIS_PACKAGE_INCLUDE_DIRS
    background_processing/include
    exceptions/include
    backtrace/include
    collision_detection/include
    collision_detection_fcl/include
    ${BULLET_INC}
    constraint_samplers/include
    controller_manager/include
    distance_field/include
    collision_distance_field/include
    dynamics_solver/include
    kinematics_base/include
    kinematics_metrics/include
    robot_model/include
    transforms/include
    robot_state/include
    robot_trajectory/include
    kinematic_constraints/include
    macros/include
    planning_interface/include
    planning_request_adapter/include
    planning_scene/include
    profiler/include
    python/tools/include
    sensor_manager/include
    trajectory_processing/include
    utils/include
)

catkin_package(
  INCLUDE_DIRS
    ${THIS_PACKAGE_INCLUDE_DIRS}
  LIBRARIES
    moveit_exceptions
    moveit_background_processing
    moveit_kinematics_base
    moveit_robot_model
    moveit_transforms
    moveit_robot_state
    moveit_robot_trajectory
    moveit_planning_interface
    moveit_collision_detection
    moveit_collision_detection_fcl
    ${BULLET_LIB}
    moveit_kinematic_constraints
    moveit_planning_scene
    moveit_constraint_samplers
    moveit_planning_request_adapter
    moveit_profiler
    moveit_python_tools
    moveit_trajectory_processing
    moveit_distance_field
    moveit_collision_distance_field
    moveit_kinematics_metrics
    moveit_dynamics_solver
    moveit_utils
    moveit_test_utils
  CATKIN_DEPENDS
    eigen_stl_containers
    geometric_shapes
    geometry_msgs
    kdl_parser
    moveit_msgs
    octomap_msgs
    random_numbers
    sensor_msgs
    shape_msgs
    srdfdom
    std_msgs
    tf2_eigen
    tf2_geometry_msgs
    trajectory_msgs
    visualization_msgs
  DEPENDS
    Boost
    EIGEN3
    fcl
    OCTOMAP
    ruckig
    urdfdom
    urdfdom_headers
    ${BULLET_ENABLE}
  CFG_EXTRAS
    moveit.cmake
    )

if (WIN32)
  # for msvc 2017 compatibility
  add_definitions(-D_ENABLE_EXTENDED_ALIGNED_STORAGE)
endif()

include_directories(SYSTEM ${catkin_INCLUDE_DIRS}
                           ${Boost_INCLUDE_DIRS}
                           ${EIGEN3_INCLUDE_DIRS}
                           ${urdfdom_INCLUDE_DIRS}
                           ${urdfdom_headers_INCLUDE_DIRS}
                           ${fcl_INCLUDE_DIRS}
                           ${BULLET_INCLUDE_DIRS}
                           ${OCTOMAP_INCLUDE_DIRS}
                    )

#catkin_lint: ignore_once external_directory  (${VERSION_FILE_PATH})
include_directories(${THIS_PACKAGE_INCLUDE_DIRS}
                    ${VERSION_FILE_PATH})

add_subdirectory(version)
add_subdirectory(macros)
add_subdirectory(backtrace)
add_subdirectory(exceptions)
add_subdirectory(profiler)
add_subdirectory(utils)
add_subdirectory(background_processing)
add_subdirectory(kinematics_base)
add_subdirectory(controller_manager)
add_subdirectory(sensor_manager)
add_subdirectory(robot_model)
add_subdirectory(transforms)
add_subdirectory(robot_state)
add_subdirectory(robot_trajectory)
add_subdirectory(collision_detection)
add_subdirectory(collision_detection_fcl)
add_subdirectory(kinematic_constraints)
add_subdirectory(planning_scene)
add_subdirectory(constraint_samplers)
add_subdirectory(planning_interface)
add_subdirectory(planning_request_adapter)
add_subdirectory(trajectory_processing)
add_subdirectory(distance_field)
add_subdirectory(collision_distance_field)
add_subdirectory(kinematics_metrics)
add_subdirectory(dynamics_solver)

add_subdirectory(python)
set(pymoveit_libs
  moveit_collision_detection
  moveit_kinematic_constraints
  moveit_planning_scene
  moveit_python_tools
  moveit_robot_model
  moveit_robot_state
  moveit_transforms
)

pybind_add_module(pymoveit_core
    python/pymoveit_core.cpp
    collision_detection/src/pycollision_detection.cpp
    robot_model/src/pyrobot_model.cpp
    robot_state/src/pyrobot_state.cpp
    transforms/src/pytransforms.cpp
    planning_scene/src/pyplanning_scene.cpp
    kinematic_constraints/src/pykinematic_constraint.cpp
)
target_include_directories(pymoveit_core SYSTEM PRIVATE ${catkin_INCLUDE_DIRS})
target_link_libraries(pymoveit_core PRIVATE ${pymoveit_libs} ${catkin_LIBRARIES})

#catkin_lint: ignore_once undefined_target (pymoveit_core is defined by pybind_add_module)
install(TARGETS pymoveit_core LIBRARY DESTINATION ${CATKIN_GLOBAL_PYTHON_DESTINATION})

if(BULLET_ENABLE)
  add_subdirectory(collision_detection_bullet)
else()
  install(FILES collision_detection_bullet/empty_description.xml DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION} RENAME collision_detector_bullet_description.xml)
endif()

=== background_processing/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_background_processing)

add_library(${MOVEIT_LIB_NAME} src/background_processing.cpp)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")

target_link_libraries(${MOVEIT_LIB_NAME} ${catkin_LIBRARIES} ${urdfdom_LIBRARIES} ${urdfdom_headers_LIBRARIES} ${Boost_LIBRARIES})

install(TARGETS ${MOVEIT_LIB_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})

install(DIRECTORY include/ DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION})

=== backtrace/CMakeLists.txt ===
install(DIRECTORY include/ DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION})

=== collision_detection/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_collision_detection)

add_library(${MOVEIT_LIB_NAME}
  src/allvalid/collision_env_allvalid.cpp
  src/collision_common.cpp
  src/collision_matrix.cpp
  src/collision_octomap_filter.cpp
  src/collision_tools.cpp
  src/world.cpp
  src/world_diff.cpp
  src/collision_env.cpp
  src/collision_plugin_cache.cpp
)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")

target_link_libraries(${MOVEIT_LIB_NAME} moveit_robot_state ${catkin_LIBRARIES} ${urdfdom_LIBRARIES} ${urdfdom_headers_LIBRARIES} ${Boost_LIBRARIES})
add_dependencies(${MOVEIT_LIB_NAME} ${catkin_EXPORTED_TARGETS})

# unit tests
if(CATKIN_ENABLE_TESTING)
  catkin_add_gtest(test_world test/test_world.cpp)
  target_link_libraries(test_world ${MOVEIT_LIB_NAME} ${catkin_LIBRARIES} ${urdfdom_LIBRARIES} ${urdfdom_headers_LIBRARIES} ${Boost_LIBRARIES})

  catkin_add_gtest(test_world_diff test/test_world_diff.cpp)
  target_link_libraries(test_world_diff ${MOVEIT_LIB_NAME} ${catkin_LIBRARIES} ${urdfdom_LIBRARIES} ${urdfdom_headers_LIBRARIES} ${Boost_LIBRARIES})

  catkin_add_gtest(test_all_valid test/test_all_valid.cpp)
  target_link_libraries(test_all_valid ${MOVEIT_LIB_NAME} ${catkin_LIBRARIES} ${urdfdom_LIBRARIES} ${urdfdom_headers_LIBRARIES} ${Boost_LIBRARIES})
endif()


install(TARGETS ${MOVEIT_LIB_NAME}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})

install(DIRECTORY include/ DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION})

=== collision_detection_bullet/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_collision_detection_bullet)

add_library(${MOVEIT_LIB_NAME}
  src/bullet_integration/bullet_utils.cpp
  src/bullet_integration/bullet_discrete_bvh_manager.cpp
  src/bullet_integration/bullet_cast_bvh_manager.cpp
  src/collision_env_bullet.cpp
  src/bullet_integration/bullet_bvh_manager.cpp
)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")

target_link_libraries(${MOVEIT_LIB_NAME} moveit_collision_detection
    ${catkin_LIBRARIES} ${urdfdom_LIBRARIES}
    ${urdfdom_headers_LIBRARIES} ${Boost_LIBRARIES}
    ${BULLET_LIBRARIES})
add_dependencies(${MOVEIT_LIB_NAME} ${catkin_EXPORTED_TARGETS})

add_library(collision_detector_bullet_plugin src/collision_detector_bullet_plugin_loader.cpp)
set_target_properties(collision_detector_bullet_plugin PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
target_link_libraries(collision_detector_bullet_plugin ${catkin_LIBRARIES} ${MOVEIT_LIB_NAME} moveit_planning_scene)

install(TARGETS ${MOVEIT_LIB_NAME} collision_detector_bullet_plugin
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

install(DIRECTORY include/ DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION})

install(FILES ../collision_detector_bullet_description.xml DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

if(CATKIN_ENABLE_TESTING)
  catkin_add_gtest(test_bullet_collision_detection test/test_bullet_collision_detection_pr2.cpp)
  target_link_libraries(test_bullet_collision_detection moveit_test_utils ${MOVEIT_LIB_NAME} ${Boost_LIBRARIES})
  if(NOT CMAKE_CXX_COMPILER_ID STREQUAL "MSVC")
    # TODO: remove if transition to gtest's new API TYPED_TEST_SUITE_P is finished
    target_compile_options(test_bullet_collision_detection PRIVATE -Wno-deprecated-declarations)
  endif()

  catkin_add_gtest(test_bullet_collision_detection_panda test/test_bullet_collision_detection_panda.cpp)
  target_link_libraries(test_bullet_collision_detection_panda moveit_test_utils ${MOVEIT_LIB_NAME} ${Boost_LIBRARIES})
  if(NOT CMAKE_CXX_COMPILER_ID STREQUAL "MSVC")
    # TODO: remove if transition to gtest's new API TYPED_TEST_SUITE_P is finished
    target_compile_options(test_bullet_collision_detection_panda PRIVATE -Wno-deprecated-declarations)
  endif()

  catkin_add_gtest(test_bullet_continuous_collision_checking test/test_bullet_continuous_collision_checking.cpp)
  target_link_libraries(test_bullet_continuous_collision_checking moveit_test_utils ${MOVEIT_LIB_NAME} ${Boost_LIBRARIES})
endif()

=== collision_detection_fcl/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_collision_detection_fcl)

add_library(${MOVEIT_LIB_NAME}
  src/collision_common.cpp
  src/collision_env_fcl.cpp
)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")


target_link_libraries(${MOVEIT_LIB_NAME} moveit_collision_detection ${catkin_LIBRARIES} ${urdfdom_LIBRARIES} ${urdfdom_headers_LIBRARIES} ${fcl_LIBRARIES} ${Boost_LIBRARIES})
add_dependencies(${MOVEIT_LIB_NAME} ${catkin_EXPORTED_TARGETS})

add_library(collision_detector_fcl_plugin src/collision_detector_fcl_plugin_loader.cpp)
set_target_properties(collision_detector_fcl_plugin PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
target_link_libraries(collision_detector_fcl_plugin ${catkin_LIBRARIES} ${MOVEIT_LIB_NAME} moveit_planning_scene)


install(TARGETS ${MOVEIT_LIB_NAME} collision_detector_fcl_plugin
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})

install(DIRECTORY include/ DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION})

install(FILES ../collision_detector_fcl_description.xml DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

if(CATKIN_ENABLE_TESTING)
  catkin_add_gtest(test_fcl_collision_detection test/test_fcl_collision_detection_pr2.cpp)
  target_link_libraries(test_fcl_collision_detection moveit_test_utils ${MOVEIT_LIB_NAME} ${Boost_LIBRARIES})
  if(NOT CMAKE_CXX_COMPILER_ID STREQUAL "MSVC")
    # TODO: remove if transition to gtest's new API TYPED_TEST_SUITE_P is finished
    target_compile_options(test_fcl_collision_detection PRIVATE -Wno-deprecated-declarations)
  endif()

  catkin_add_gtest(test_fcl_collision_detection_panda test/test_fcl_collision_detection_panda.cpp)
  target_link_libraries(test_fcl_collision_detection_panda moveit_test_utils ${MOVEIT_LIB_NAME} ${Boost_LIBRARIES})
  if(NOT CMAKE_CXX_COMPILER_ID STREQUAL "MSVC")
    # TODO: remove if transition to gtest's new API TYPED_TEST_SUITE_P is finished
    target_compile_options(test_fcl_collision_detection_panda PRIVATE -Wno-deprecated-declarations)
  endif()
endif()

=== collision_distance_field/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_collision_distance_field)

add_library(${MOVEIT_LIB_NAME}
  src/collision_distance_field_types.cpp
  src/collision_common_distance_field.cpp
  src/collision_env_distance_field.cpp
  src/collision_env_hybrid.cpp
)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")
target_link_libraries(${MOVEIT_LIB_NAME}
  moveit_planning_scene moveit_distance_field
  ${catkin_LIBRARIES} ${Boost_LIBRARIES})
add_dependencies(${MOVEIT_LIB_NAME} ${catkin_EXPORTED_TARGETS})

if(CATKIN_ENABLE_TESTING)
  catkin_add_gtest(test_collision_distance_field test/test_collision_distance_field.cpp)
  target_link_libraries(test_collision_distance_field ${MOVEIT_LIB_NAME} moveit_test_utils)
endif()

install(TARGETS ${MOVEIT_LIB_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)

install(DIRECTORY include/ DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION})

=== constraint_samplers/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_constraint_samplers)

add_library(${MOVEIT_LIB_NAME}
  src/constraint_sampler.cpp
  src/constraint_sampler_manager.cpp
  src/constraint_sampler_tools.cpp
  src/default_constraint_samplers.cpp
  src/union_constraint_sampler.cpp
)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")

target_link_libraries(${MOVEIT_LIB_NAME}
  moveit_robot_state
  moveit_kinematic_constraints
  moveit_kinematics_base
  moveit_planning_scene
  ${catkin_LIBRARIES} ${urdfdom_LIBRARIES} ${urdfdom_headers_LIBRARIES} ${Boost_LIBRARIES})
add_dependencies(${MOVEIT_LIB_NAME} ${catkin_EXPORTED_TARGETS})

install(TARGETS ${MOVEIT_LIB_NAME}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})

install(DIRECTORY include/ DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION})

if(CATKIN_ENABLE_TESTING)
  find_package(orocos_kdl REQUIRED)
  find_package(tf2_kdl REQUIRED)
  find_package(rostest REQUIRED)
  include_directories(SYSTEM ${orocos_kdl_INCLUDE_DIRS} ${tf2_kdl_INCLUDE_DIRS})

  add_rostest_gtest(test_constraint_samplers
    test/constraint_samplers.test
    test/test_constraint_samplers.cpp
    test/pr2_arm_kinematics_plugin.cpp
    test/pr2_arm_ik.cpp
  )

  target_link_libraries(test_constraint_samplers
    moveit_test_utils
    gmock_main
    ${MOVEIT_LIB_NAME}
    ${catkin_LIBRARIES}
    ${orocos_kdl_LIBRARIES}
    ${urdfdom_LIBRARIES}
    ${urdfdom_headers_LIBRARIES}
  )
endif()

=== distance_field/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_distance_field)

add_library(${MOVEIT_LIB_NAME}
  src/distance_field.cpp
  src/find_internal_points.cpp
  src/propagation_distance_field.cpp
  )
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")

target_link_libraries(${MOVEIT_LIB_NAME} ${catkin_LIBRARIES} ${urdfdom_LIBRARIES} ${urdfdom_headers_LIBRARIES} ${Boost_LIBRARIES})
add_dependencies(${MOVEIT_LIB_NAME} ${catkin_EXPORTED_TARGETS})

install(TARGETS ${MOVEIT_LIB_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})

install(DIRECTORY include/ DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION})

if(CATKIN_ENABLE_TESTING)
  catkin_add_gtest(test_voxel_grid test/test_voxel_grid.cpp)
  target_link_libraries(test_voxel_grid ${MOVEIT_LIB_NAME})

  catkin_add_gtest(test_distance_field test/test_distance_field.cpp)
  target_link_libraries(test_distance_field ${MOVEIT_LIB_NAME})
endif()

=== dynamics_solver/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_dynamics_solver)

add_library(${MOVEIT_LIB_NAME} src/dynamics_solver.cpp)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")

target_link_libraries(${MOVEIT_LIB_NAME} moveit_robot_state ${catkin_LIBRARIES} ${urdfdom_LIBRARIES} ${urdfdom_headers_LIBRARIES} ${Boost_LIBRARIES})
add_dependencies(${MOVEIT_LIB_NAME} ${catkin_EXPORTED_TARGETS})

install(TARGETS ${MOVEIT_LIB_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})

install(DIRECTORY include/ DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION})

=== exceptions/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_exceptions)

add_library(${MOVEIT_LIB_NAME} src/exceptions.cpp)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")

target_link_libraries(${MOVEIT_LIB_NAME} ${catkin_LIBRARIES} ${urdfdom_LIBRARIES} ${urdfdom_headers_LIBRARIES} ${Boost_LIBRARIES})

install(TARGETS ${MOVEIT_LIB_NAME}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})
install(DIRECTORY include/ DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION})

=== kinematic_constraints/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_kinematic_constraints)

add_library(${MOVEIT_LIB_NAME}
  src/kinematic_constraint.cpp
  src/utils.cpp)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION "${${PROJECT_NAME}_VERSION}")

target_link_libraries(${MOVEIT_LIB_NAME}
  moveit_robot_model moveit_kinematics_base moveit_robot_state moveit_collision_detection_fcl moveit_utils
  ${catkin_LIBRARIES} ${urdfdom_LIBRARIES} ${urdfdom_headers_LIBRARIES} ${Boost_LIBRARIES})
add_dependencies(${MOVEIT_LIB_NAME} ${catkin_EXPORTED_TARGETS})

install(TARGETS ${MOVEIT_LIB_NAME}
        LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
        RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION})

install(DIRECTORY include/ DESTINATION ${CATKIN_GLOBAL_INCLUDE_DESTINATION})

if(CATKIN_ENABLE_TESTING)
  catkin_add_gtest(test_constraints test/test_constraints.cpp)
  target_link_libraries(test_constraints moveit_test_utils ${MOVEIT_LIB_NAME})

  catkin_add_gtest(test_orientation_constraints test/test_orientation_constraints.cpp)
  target_link_libraries(test_orientation_constraints moveit_test_utils ${MOVEIT_LIB_NAME})
endif()

=== debian/changelog ===
ros-one-moveit-core (1.1.16-49jammy.20251023.1231) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Coleman <dave@picknik.ai>  Thu, 23 Oct 2025 12:31:14 +0000

ros-one-moveit-core (1.1.16-0jammy) jammy; urgency=high

  * Fix Cartesian interpolation: for multiple waypoints continue from latest RobotState (#3652 <https://github.com/ros-planning/moveit/issues/3652>)
  * Contributors: Robert Haschke

 -- Dave Coleman <dave@picknik.ai>  Mon, 07 Oct 2024 00:00:00 -0000

ros-one-moveit-core (1.1.15-0jammy) jammy; urgency=high

  * Disable ruckig's webclient support in MoveIt build (#3636 <https://github.com/ros-planning/moveit/issues/3636>)
  * New implementation for computeCartesianPath (#3618 <https://github.com/ros-planning/moveit/issues/3618>)
  * Optimize MOVE_SHAPE operations for FCL (#3601 <https://github.com/ros-planning/moveit/issues/3601>)
  * Provide violated bounds for a JointConstraint
  * PSM: Correctly handle full planning scene message (#3610 <https://github.com/ros-planning/moveit/issues/3610>)
  * Contributors: Captain Yoshi, Michael Görner, Robert Haschke

 -- Dave Coleman <dave@picknik.ai>  Mon, 09 Sep 2024 00:00:00 -0000

ros-one-moveit-core (1.1.14-0jammy) jammy; urgency=high

  * Allow moving of all shapes of an object in one go (#3599 <https://github.com/ros-planning/moveit/issues/3599>)
  * Add benchmark dependency in moveit_core's package.xml
  * Benchmarking with Google benchmark (#3565 <https://github.com/ros-planning/moveit/issues/3565>)
  * Cleanup const-ref arguments to double+int (#3560 <https://github.com/ros-planning/moveit/issues/3560>)
  * Use min instead of multiplication to combine relative and absolute check (#3556 <https://github.com/ros-planning/moveit/issues/3556>)
  * Find pybind11_catkin early (#3552 <https://github.com/ros-planning/moveit/issues/3552>)
  * Allow links with slashes again (#3539 <https://github.com/ros-planning/moveit/issues/3539>)
  * Support ompl::ompl cmake target (#3549 <https://github.com/ros-planning/moveit/issues/3549>)
  * RobotState: Initialize joint transforms of fixed joints (#3541 <https://github.com/ros-planning/moveit/issues/3541>)
  * Pass more distance information out from FCL collision check (#3531 <https://github.com/ros-planning/moveit/issues/3531>)
  * Fix segfault when planning with differential drive planar joints (#3457 <https://github.com/ros-planning/moveit/issues/3457>)
  * Consider distance field padding for spheres (#3506 <https://github.com/ros-planning/moveit/issues/3506>)
  * Remove unused variables (#3507 <https://github.com/ros-planning/moveit/issues/3507>)
  * Gracefully handle zero-size bodies in determineCollisionSpheres() (#3504 <https://github.com/ros-planning/moveit/issues/3504>)
  * Use new API for providing RNG to make some test results more consistant (#3501 <https://github.com/ros-planning/moveit/issues/3501>)
  * More URDF validation (#3499 <https://github.com/ros-planning/moveit/issues/3499>)
  * PlanningRequestAdapterChain: Fix added_path_index vector (#3464 <https://github.com/ros-planning/moveit/issues/3464>)
  * Constrain orocos_kdl to ROS melodic
  * moveit_core: make angles a build_depend rather than a test_depend (#3483 <https://github.com/ros-planning/moveit/issues/3483>)
  * Contributors: Ben Wolsieffer, Captain Yoshi, Hugal31, Lucas Walter, Michael Görner, Robert Haschke, SchneiderC1, Scott Chow, Simon Schmeisser, Stephanie Eng

 -- Dave Coleman <dave@picknik.ai>  Mon, 27 May 2024 00:00:00 -0000

ros-one-moveit-core (1.1.13-0jammy) jammy; urgency=high

  * Avoid global transforms in ``getRigidlyConnectedParentLinkModel()`` (#3470 <https://github.com/ros-planning/moveit/issues/3470>)
    
      * RobotState::setFromIK: ensure up-to-date state before calling IK solver
      * Remove unimplemented RobotState::getSubframeTransformInLinkFrame()
    
  * Add missing include (#3451 <https://github.com/ros-planning/moveit/issues/3451>)
  * Fix Jacobian calculation for planar joint (#3439 <https://github.com/ros-planning/moveit/issues/3439>)
  * Silent "empty quaternion" warning from poseMsgToEigen() (#3435 <https://github.com/ros-planning/moveit/issues/3435>)
  * Contributors: Cong Liu, Ivo Vatavuk, Robert Haschke

 -- Dave Coleman <dave@picknik.ai>  Fri, 28 Jul 2023 00:00:00 -0000

ros-one-moveit-core (1.1.12-0jammy) jammy; urgency=high

  * Generalize RobotState::setFromIK() (https://github.com/ros-planning/moveit/issues/3388 <https://github.com/ros-planning/moveit/issues/3388>)
  * Time parameterization with torque limits, based on TOTG (#3412 <https://github.com/ros-planning/moveit/issues/3412>, #3427 <https://github.com/ros-planning/moveit/issues/3427>)
  * Make XmlRpcValue arguments const references (#3419 <https://github.com/ros-planning/moveit/issues/3419>)
  * Differential drive for planar Joints (#3359 <https://github.com/ros-planning/moveit/issues/3359>)
  * Fix deprecation warnings in Debian bookworm (#3397 <https://github.com/ros-planning/moveit/issues/3397>)
  * Add JointModel::satisfiesAccelerationBounds() (#3396 <https://github.com/ros-planning/moveit/issues/3396>)
  * Add CSM tests (#3395 <https://github.com/ros-planning/moveit/issues/3395>)
  * Fix TOTG: could return vels/accels greater than the limits (#3394 <https://github.com/ros-planning/moveit/issues/3394>)
  * Propagate "clear octomap" actions to monitoring planning scenes (#3134 <https://github.com/ros-planning/moveit/issues/3134>)
  * Fix (some) doxygen warnings (#3315 <https://github.com/ros-planning/moveit/issues/3315>)
  * Switch master build to C++17 (#3313 <https://github.com/ros-planning/moveit/issues/3313>)
  * Drop lib/ prefix from plugin paths (#3305 <https://github.com/ros-planning/moveit/issues/3305>)
  * Improve Ruckig time parameterization
    
      * Check for a Ruckig jerk limit parameter (#3375 <https://github.com/ros-planning/moveit/issues/3375>)
      * Optionally mitigate Ruckig overshoot
      * Reduce number of duration extensions


=== debian/control ===
Source: ros-one-moveit-core
Section: misc
Priority: optional
Maintainer: Dave Coleman <dave@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), libassimp-dev, libboost-all-dev, libbullet-dev, libconsole-bridge-dev, libeigen3-dev, libfcl-dev, liboctomap-dev, liburdfdom-dev, liburdfdom-headers-dev, pkg-config, python3-dev, ros-one-angles, ros-one-catkin, ros-one-eigen-stl-containers, ros-one-geometric-shapes (>= 0.5.2), ros-one-geometry-msgs, ros-one-kdl-parser, ros-one-moveit-msgs, ros-one-octomap-msgs, ros-one-pluginlib, ros-one-pybind11-catkin, ros-one-random-numbers, ros-one-rosconsole, ros-one-roslib, ros-one-rostime, ros-one-ruckig, ros-one-sensor-msgs, ros-one-shape-msgs, ros-one-srdfdom, ros-one-std-msgs, ros-one-tf2-eigen, ros-one-tf2-geometry-msgs, ros-one-trajectory-msgs, ros-one-urdf, ros-one-visualization-msgs, ros-one-xmlrpcpp
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-one-moveit-core
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libassimp-dev, libboost-all-dev, libbullet-dev, libconsole-bridge-dev, libeigen3-dev, libfcl-dev, liboctomap-dev, liburdfdom-dev, liburdfdom-headers-dev, python3-dev, ros-one-eigen-stl-containers, ros-one-geometric-shapes (>= 0.5.2), ros-one-geometry-msgs, ros-one-kdl-parser, ros-one-moveit-msgs, ros-one-octomap-msgs, ros-one-pluginlib, ros-one-pybind11-catkin, ros-one-random-numbers, ros-one-rosconsole, ros-one-roslib, ros-one-rostime, ros-one-ruckig, ros-one-sensor-msgs, ros-one-shape-msgs, ros-one-srdfdom, ros-one-std-msgs, ros-one-tf2-eigen, ros-one-tf2-geometry-msgs, ros-one-trajectory-msgs, ros-one-urdf, ros-one-visualization-msgs, ros-one-xmlrpcpp
Description: Core libraries used by MoveIt

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-moveit-core//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-moveit-core 1.1.16-49jammy.20251208.0052

=== debian/changelog ===
ros-one-moveit-core (1.1.16-49jammy.20251208.0052) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Coleman <dave@picknik.ai>  Mon, 08 Dec 2025 00:52:54 +0000

## ros-one-moveit-core 1.1.16-49noble.20251208.1139

=== debian/changelog ===
ros-one-moveit-core (1.1.16-49noble.20251208.1139) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Coleman <dave@picknik.ai>  Mon, 08 Dec 2025 11:39:48 +0000

ros-one-moveit-core (1.1.16-0noble) noble; urgency=high

  * Fix Cartesian interpolation: for multiple waypoints continue from latest RobotState (#3652 <https://github.com/ros-planning/moveit/issues/3652>)
  * Contributors: Robert Haschke

 -- Dave Coleman <dave@picknik.ai>  Mon, 07 Oct 2024 00:00:00 -0000

ros-one-moveit-core (1.1.15-0noble) noble; urgency=high

  * Disable ruckig's webclient support in MoveIt build (#3636 <https://github.com/ros-planning/moveit/issues/3636>)
  * New implementation for computeCartesianPath (#3618 <https://github.com/ros-planning/moveit/issues/3618>)
  * Optimize MOVE_SHAPE operations for FCL (#3601 <https://github.com/ros-planning/moveit/issues/3601>)
  * Provide violated bounds for a JointConstraint
  * PSM: Correctly handle full planning scene message (#3610 <https://github.com/ros-planning/moveit/issues/3610>)
  * Contributors: Captain Yoshi, Michael Görner, Robert Haschke

 -- Dave Coleman <dave@picknik.ai>  Mon, 09 Sep 2024 00:00:00 -0000

ros-one-moveit-core (1.1.14-0noble) noble; urgency=high

  * Allow moving of all shapes of an object in one go (#3599 <https://github.com/ros-planning/moveit/issues/3599>)
  * Add benchmark dependency in moveit_core's package.xml
  * Benchmarking with Google benchmark (#3565 <https://github.com/ros-planning/moveit/issues/3565>)
  * Cleanup const-ref arguments to double+int (#3560 <https://github.com/ros-planning/moveit/issues/3560>)
  * Use min instead of multiplication to combine relative and absolute check (#3556 <https://github.com/ros-planning/moveit/issues/3556>)
  * Find pybind11_catkin early (#3552 <https://github.com/ros-planning/moveit/issues/3552>)
  * Allow links with slashes again (#3539 <https://github.com/ros-planning/moveit/issues/3539>)
  * Support ompl::ompl cmake target (#3549 <https://github.com/ros-planning/moveit/issues/3549>)
  * RobotState: Initialize joint transforms of fixed joints (#3541 <https://github.com/ros-planning/moveit/issues/3541>)
  * Pass more distance information out from FCL collision check (#3531 <https://github.com/ros-planning/moveit/issues/3531>)
  * Fix segfault when planning with differential drive planar joints (#3457 <https://github.com/ros-planning/moveit/issues/3457>)
  * Consider distance field padding for spheres (#3506 <https://github.com/ros-planning/moveit/issues/3506>)
  * Remove unused variables (#3507 <https://github.com/ros-planning/moveit/issues/3507>)
  * Gracefully handle zero-size bodies in determineCollisionSpheres() (#3504 <https://github.com/ros-planning/moveit/issues/3504>)
  * Use new API for providing RNG to make some test results more consistant (#3501 <https://github.com/ros-planning/moveit/issues/3501>)
  * More URDF validation (#3499 <https://github.com/ros-planning/moveit/issues/3499>)
  * PlanningRequestAdapterChain: Fix added_path_index vector (#3464 <https://github.com/ros-planning/moveit/issues/3464>)
  * Constrain orocos_kdl to ROS melodic
  * moveit_core: make angles a build_depend rather than a test_depend (#3483 <https://github.com/ros-planning/moveit/issues/3483>)
  * Contributors: Ben Wolsieffer, Captain Yoshi, Hugal31, Lucas Walter, Michael Görner, Robert Haschke, SchneiderC1, Scott Chow, Simon Schmeisser, Stephanie Eng

 -- Dave Coleman <dave@picknik.ai>  Mon, 27 May 2024 00:00:00 -0000

ros-one-moveit-core (1.1.13-0noble) noble; urgency=high

  * Avoid global transforms in ``getRigidlyConnectedParentLinkModel()`` (#3470 <https://github.com/ros-planning/moveit/issues/3470>)
    
      * RobotState::setFromIK: ensure up-to-date state before calling IK solver
      * Remove unimplemented RobotState::getSubframeTransformInLinkFrame()
    
  * Add missing include (#3451 <https://github.com/ros-planning/moveit/issues/3451>)
  * Fix Jacobian calculation for planar joint (#3439 <https://github.com/ros-planning/moveit/issues/3439>)
  * Silent "empty quaternion" warning from poseMsgToEigen() (#3435 <https://github.com/ros-planning/moveit/issues/3435>)
  * Contributors: Cong Liu, Ivo Vatavuk, Robert Haschke

 -- Dave Coleman <dave@picknik.ai>  Fri, 28 Jul 2023 00:00:00 -0000

ros-one-moveit-core (1.1.12-0noble) noble; urgency=high

  * Generalize RobotState::setFromIK() (https://github.com/ros-planning/moveit/issues/3388 <https://github.com/ros-planning/moveit/issues/3388>)
  * Time parameterization with torque limits, based on TOTG (#3412 <https://github.com/ros-planning/moveit/issues/3412>, #3427 <https://github.com/ros-planning/moveit/issues/3427>)
  * Make XmlRpcValue arguments const references (#3419 <https://github.com/ros-planning/moveit/issues/3419>)
  * Differential drive for planar Joints (#3359 <https://github.com/ros-planning/moveit/issues/3359>)
  * Fix deprecation warnings in Debian bookworm (#3397 <https://github.com/ros-planning/moveit/issues/3397>)
  * Add JointModel::satisfiesAccelerationBounds() (#3396 <https://github.com/ros-planning/moveit/issues/3396>)
  * Add CSM tests (#3395 <https://github.com/ros-planning/moveit/issues/3395>)
  * Fix TOTG: could return vels/accels greater than the limits (#3394 <https://github.com/ros-planning/moveit/issues/3394>)
  * Propagate "clear octomap" actions to monitoring planning scenes (#3134 <https://github.com/ros-planning/moveit/issues/3134>)
  * Fix (some) doxygen warnings (#3315 <https://github.com/ros-planning/moveit/issues/3315>)
  * Switch master build to C++17 (#3313 <https://github.com/ros-planning/moveit/issues/3313>)
  * Drop lib/ prefix from plugin paths (#3305 <https://github.com/ros-planning/moveit/issues/3305>)
  * Improve Ruckig time parameterization
    
      * Check for a Ruckig jerk limit parameter (#3375 <https://github.com/ros-planning/moveit/issues/3375>)
      * Optionally mitigate Ruckig overshoot
      * Reduce number of duration extensions


## ros-one-moveit-core 1.1.16-50jammy.20260128.2123

=== debian/changelog ===
ros-one-moveit-core (1.1.16-50jammy.20260128.2123) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Coleman <dave@picknik.ai>  Wed, 28 Jan 2026 21:23:38 +0000

## ros-one-moveit-core 1.1.16-50noble.20260128.2127

=== debian/changelog ===
ros-one-moveit-core (1.1.16-50noble.20260128.2127) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Coleman <dave@picknik.ai>  Wed, 28 Jan 2026 21:27:22 +0000

## ros-one-moveit-core 1.1.16-51jammy.20260301.2119

=== debian/changelog ===
ros-one-moveit-core (1.1.16-51jammy.20260301.2119) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Coleman <dave@picknik.ai>  Sun, 01 Mar 2026 21:19:14 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Dave Coleman <dave@picknik.ai>
 Build-Depends: debhelper (>= 9.0.0), libassimp-dev, libboost-all-dev, libbullet-dev, libconsole-bridge-dev, libeigen3-dev, libfcl-dev, liboctomap-dev, liburdfdom-dev, liburdfdom-headers-dev, pkg-config, python3-dev, ros-one-angles, ros-one-catkin, ros-one-eigen-stl-containers, ros-one-geometric-shapes (>= 0.5.2), ros-one-geometry-msgs, ros-one-kdl-parser, ros-one-moveit-msgs, ros-one-octomap-msgs, ros-one-pluginlib, ros-one-pybind11-catkin, ros-one-random-numbers, ros-one-rosconsole, ros-one-roslib, ros-one-rostime, ros-one-ruckig, ros-one-sensor-msgs, ros-one-shape-msgs, ros-one-srdfdom, ros-one-std-msgs, ros-one-tf2-eigen, ros-one-tf2-geometry-msgs, ros-one-trajectory-msgs, ros-one-urdf, ros-one-visualization-msgs, ros-one-xmlrpcpp
-Homepage: http://moveit.ros.org
+Homepage: http://moveit.ai
 Standards-Version: 3.9.2
 
 Package: ros-one-moveit-core

## ros-one-moveit-core 1.1.16-51noble.20260301.2114

=== debian/changelog ===
ros-one-moveit-core (1.1.16-51noble.20260301.2114) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Dave Coleman <dave@picknik.ai>  Sun, 01 Mar 2026 21:14:55 +0000
